/* This is the COMPLETED code 
   for the ThinkerShield Buzzing Light Meter Project
   Written by Thinkspace www.maas.museum/thinkspace
   Ver 1.2   
*/
 
// Define pins.
int LDRPin = A4;
int buzzerPin = 3;
int led8 = 8, led9 = 9, led10 = 10;
int led11 = 11, led12 = 12, led13 = 13;


// Create variables to hold data.
int LDRvalue = 0;
int value = 0;
int beepRate = 0;
 

void setup()
{
  // Turn the serial port on.
  Serial.begin(115200);
  
  // Initialise the buzzer.
  pinMode(buzzerPin, OUTPUT); 
  
  // Initialise the LEDs.
  pinMode(led8, OUTPUT);
  pinMode(led9, OUTPUT);
  pinMode(led10, OUTPUT);
  pinMode(led11, OUTPUT);
  pinMode(led12, OUTPUT);
  pinMode(led13, OUTPUT);
   
}

void loop()
{
  // Read the LDR pin.
  LDRvalue = analogRead(LDRPin);

    
  // Map the LDRvalue to a convenient range.
  value = map(LDRvalue, 97, 330, 100, 350);
   

  // Send the mapped value to the serial monitor 
  // in case we want to see it.
  Serial.println(value); 
   
  // Light up the leds to show the level.
  if (value > 100) {
    digitalWrite(led13, HIGH);
  }
  if (value > 150) {
    digitalWrite(led12, HIGH);
  }
  if (value > 200) {
    digitalWrite(led11, HIGH);
  }
  if (value > 250) {
    digitalWrite(led10, HIGH);
  }
  if (value > 300) {
    digitalWrite(led9, HIGH);
  }
  if (value > 350) {
    digitalWrite(led8, HIGH);
  }


      
  // Write the value to the buzzer.
  tone(buzzerPin, 650);
  beepRate = value;
  delay(beepRate);
  noTone(buzzerPin);
    

  // Wait a jiffy then turn off the LEDs.
  delay(60);
  digitalWrite(led13, LOW);
  digitalWrite(led12, LOW);
  digitalWrite(led11, LOW);
  digitalWrite(led10, LOW);
  digitalWrite(led9, LOW);
  digitalWrite(led8, LOW);
  
}

